Subject: bug#31312: Segmentation fault with doom-emacs, NeoTree and Zoom

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 May 2018 18:06:47 +0300

> From: Andrea Cardaci <[email-masked]>
> Date: Wed, 2 May 2018 15:27:12 +0200
> Cc: [email-masked], Noam Postavsky <[email-masked]>, 
> 	martin rudalics <[email-masked]>, [email-masked]
> 
> Any advice on this part? I needed to force the size of windows and hooking `select-window` (via `advice-add`)
> is apparently not enough to catch all the cases.
> 
> Is there a better way to achieve what I want?

If what Martin suggested somehow doesn't fit the bill, and no other
ideas are brought up, then I prefer to discuss new features or
infrastructure to satisfy similar needs, rather than force
applications to use such fragile techniques.  E.g., we could provide
some customizable controls in the code that resizes windows when
needed.